Results 1 to 7 of 7

Thread: Can't Use Bumblebee on openSUSE 13.1

  1. #1
    Join Date
    Dec 2012
    Location
    Bandung, Indonesia
    Posts
    36

    Default Can't Use Bumblebee on openSUSE 13.1

    Hi, i have laptop with optimus, i tried to install bumble from here :
    http://smithfarm-thebrain.blogspot.c...bumblebee.html

    it installed successfully, but when i try to use optirun, it gave me errors, this is information i can give, just tell me if its not enough :

    # optirun glxspheres
    Code:
    # optirun glxspheres
    [  994.727183] [ERROR]Cannot access secondary GPU - error: [XORG] (EE) NOUVEAU(0): [drm] failed to set drm interface version.
    
    [  994.727225] [ERROR]Aborting because fallback start is disabled.
    # primusrun glxspheres
    Code:
    # primusrun glxspheres
    primus: fatal: Bumblebee daemon reported: error: [XORG] (EE) NOUVEAU(0): [drm] failed to set drm interface version.
    # optirun -vv glxspheres
    Code:
    # optirun -vv glxspheres
    [ 1230.500282] [DEBUG]Reading file: /etc/bumblebee/bumblebee.conf
    [ 1230.500842] [DEBUG]optirun version 3.2.1 starting...
    [ 1230.500869] [DEBUG]Active configuration:
    [ 1230.500885] [DEBUG] bumblebeed config file: /etc/bumblebee/bumblebee.conf
    [ 1230.500900] [DEBUG] X display: :8
    [ 1230.500915] [DEBUG] LD_LIBRARY_PATH: 
    [ 1230.500940] [DEBUG] Socket path: /var/run/bumblebee.socket
    [ 1230.500954] [DEBUG] Accel/display bridge: auto
    [ 1230.500969] [DEBUG] VGL Compression: proxy
    [ 1230.500984] [DEBUG] VGLrun extra options: 
    [ 1230.500999] [DEBUG] Primus LD Path: /usr/lib/primus:/usr/lib/primus
    [ 1230.501052] [DEBUG]Using auto-detected bridge virtualgl
    [ 1230.513252] [INFO]Response: No - error: [XORG] (EE) NOUVEAU(0): [drm] failed to set drm interface version.
    
    [ 1230.513298] [ERROR]Cannot access secondary GPU - error: [XORG] (EE) NOUVEAU(0): [drm] failed to set drm interface version.
    
    [ 1230.513327] [DEBUG]Socket closed.
    [ 1230.513364] [ERROR]Aborting because fallback start is disabled.
    [ 1230.513407] [DEBUG]Killing all remaining processes.
    #lspci | grep VGA
    Code:
    #lspci | grep VGA
    00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
    01:00.0 VGA compatible controller: NVIDIA Corporation GF119M [GeForce 610M] (rev a1)
    before i run something with optirun :
    Code:
    optirun --status
    Bumblebee status: ON (3.2.1)
    after i run something with optirun :
    Code:
    optirun --status
    Bumblebee status: Error (3.2.1): [XORG] (EE) NOUVEAU(0): [drm] failed to set drm interface version.
    # systemctl status bumblebeed
    Code:
    # systemctl status bumblebeed
    bumblebeed.service - Bumblebee C Daemon
       Loaded: loaded (/usr/lib/systemd/system/bumblebeed.service; enabled)
       Active: active (running) since Sat 2014-02-08 03:46:37 WIB; 25min ago
     Main PID: 3366 (bumblebeed)
       CGroup: /system.slice/bumblebeed.service
               └─3366 /usr/sbin/bumblebeed
    
    Feb 08 04:06:30 RAR-Linux.org bumblebeed[3366]: [ 1230.513146] [ERROR][XORG] (EE) NOUVEAU(0): [drm] error opening the drm
    Feb 08 04:06:30 RAR-Linux.org bumblebeed[3366]: [ 1230.513154] [ERROR][XORG] (EE) NOUVEAU(0): 835:
    Feb 08 04:06:30 RAR-Linux.org bumblebeed[3366]: [ 1230.513161] [ERROR][XORG] (EE) Screen(s) found, but none have a usable configuration.
    Feb 08 04:06:30 RAR-Linux.org bumblebeed[3366]: [ 1230.513167] [ERROR][XORG] (EE)
    Feb 08 04:06:30 RAR-Linux.org bumblebeed[3366]: [ 1230.513174] [ERROR][XORG] (EE) no screens found(EE)
    Feb 08 04:06:30 RAR-Linux.org bumblebeed[3366]: [ 1230.513180] [ERROR][XORG] (EE)
    Feb 08 04:06:30 RAR-Linux.org bumblebeed[3366]: [ 1230.513190] [ERROR][XORG] (EE) Please also check the log file at "/var/log/Xorg.8.log" for additional information.
    Feb 08 04:06:30 RAR-Linux.org bumblebeed[3366]: [ 1230.513199] [ERROR][XORG] (EE)
    Feb 08 04:06:30 RAR-Linux.org bumblebeed[3366]: [ 1230.513206] [ERROR][XORG] (EE) Server terminated with error (1). Closing log file.
    Feb 08 04:06:30 RAR-Linux.org bumblebeed[3366]: [ 1230.513211] [ERROR]X did not start properly
    cat /var/log/Xorg.8.log
    Code:
    # cat /var/log/Xorg.8.log
    [  1230.504] 
    This is a pre-release version of the X server from The X.Org Foundation.
    It is not supported in any way.
    Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
    Select the "xorg" product for bugs you find in this release.
    Before reporting bugs in pre-release versions please check the
    latest version in the X.Org Foundation git repository.
    See http://wiki.x.org/wiki/GitPage for git access instructions.
    [  1230.504] 
    X.Org X Server 1.14.3.901 (1.14.4 RC 1)
    Release Date: 2013-10-26
    [  1230.504] X Protocol Version 11, Revision 0
    [  1230.504] Build Operating System: openSUSE SUSE LINUX
    [  1230.504] Current Operating System: Linux RAR-Linux.org 3.11.10-7-desktop #1 SMP PREEMPT Mon Feb 3 09:41:24 UTC 2014 (750023e) i686
    [  1230.504] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.11.10-7-desktop root=UUID=e1562353-0c92-4536-83c2-e16ea484dcd5 resume=/dev/disk/by-id/ata-WDC_WD5000LPVT-08G33T1_WD-WX81AC2T3557-part6 splash=silent quiet showopts
    [  1230.504] Build Date: 19 December 2013  01:40:15PM
    [  1230.504]  
    [  1230.504] Current version of pixman: 0.30.2
    [  1230.504]    Before reporting problems, check http://wiki.x.org
            to make sure that you have the latest version.
    [  1230.504] Markers: (--) probed, (**) from config file, (==) default setting,
            (++) from command line, (!!) notice, (II) informational,
            (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    [  1230.504] (==) Log file: "/var/log/Xorg.8.log", Time: Sat Feb  8 04:06:30 2014
    [  1230.504] (++) Using config file: "/etc/bumblebee/xorg.conf.nouveau"
    [  1230.504] (++) Using config directory: "/etc/bumblebee/xorg.conf.d"
    [  1230.504] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
    [  1230.504] (==) ServerLayout "Layout0"
    [  1230.504] (==) No screen section available. Using defaults.
    [  1230.504] (**) |-->Screen "Default Screen Section" (0)
    [  1230.504] (**) |   |-->Monitor "<default monitor>"
    [  1230.505] (==) No device specified for screen "Default Screen Section".
            Using the first device section listed.
    [  1230.505] (**) |   |-->Device "DiscreteNvidia"
    [  1230.505] (==) No monitor specified for screen "Default Screen Section".
            Using a default monitor configuration.
    [  1230.505] (**) Option "AutoAddDevices" "false"
    [  1230.505] (**) Option "AutoAddGPU" "false"
    [  1230.505] (**) Not automatically adding devices
    [  1230.505] (==) Automatically enabling devices
    [  1230.505] (**) Not automatically adding GPU devices
    [  1230.505] (WW) The directory "/usr/share/fonts/misc/sgi" does not exist.
    [  1230.505]    Entry deleted from font path.
    [  1230.505] (==) FontPath set to:
            /usr/share/fonts/misc:unscaled,
            /usr/share/fonts/Type1/,
            /usr/share/fonts/100dpi:unscaled,
            /usr/share/fonts/75dpi:unscaled,
            /usr/share/fonts/ghostscript/,
            /usr/share/fonts/cyrillic:unscaled,
            /usr/share/fonts/truetype/,
            built-ins
    [  1230.505] (==) ModulePath set to "/usr/lib/xorg/modules/updates,/usr/lib/xorg/modules"
    [  1230.505] (==) |-->Input Device "<default pointer>"
    [  1230.505] (==) |-->Input Device "<default keyboard>"
    [  1230.505] (==) The core pointer device wasn't specified explicitly in the layout.
            Using the default mouse configuration.
    [  1230.505] (==) The core keyboard device wasn't specified explicitly in the layout.
            Using the default keyboard configuration.
    [  1230.505] (II) Loader magic: 0x8260620
    [  1230.505] (II) Module ABI versions:
    [  1230.505]    X.Org ANSI C Emulation: 0.4
    [  1230.505]    X.Org Video Driver: 14.1
    [  1230.505]    X.Org XInput driver : 19.1
    [  1230.505]    X.Org Server Extension : 7.0
    [  1230.505] (II) xfree86: Adding drm device (/dev/dri/card0)
    [  1230.505] setversion 1.4 failed
    [  1230.506] (II) xfree86: Adding drm device (/dev/dri/card1)
    [  1230.506] setversion 1.4 failed
    [  1230.507] (--) PCI:*(0:1:0:0) 10de:1058:17aa:5003 rev 161, Mem @ 0x9a000000/16777216, 0x90000000/134217728, 0x98000000/33554432, I/O @ 0x00003000/128
    [  1230.507] Initializing built-in extension Generic Event Extension
    [  1230.507] Initializing built-in extension SHAPE
    [  1230.507] Initializing built-in extension MIT-SHM
    [  1230.507] Initializing built-in extension XInputExtension
    [  1230.507] Initializing built-in extension XTEST
    [  1230.507] Initializing built-in extension BIG-REQUESTS
    [  1230.507] Initializing built-in extension SYNC
    [  1230.507] Initializing built-in extension XKEYBOARD
    [  1230.507] Initializing built-in extension XC-MISC
    [  1230.507] Initializing built-in extension SECURITY
    [  1230.507] Initializing built-in extension XINERAMA
    [  1230.507] Initializing built-in extension XFIXES
    [  1230.507] Initializing built-in extension RENDER
    [  1230.507] Initializing built-in extension RANDR
    [  1230.507] Initializing built-in extension COMPOSITE
    [  1230.507] Initializing built-in extension DAMAGE
    [  1230.507] Initializing built-in extension MIT-SCREEN-SAVER
    [  1230.507] Initializing built-in extension DOUBLE-BUFFER
    [  1230.507] Initializing built-in extension RECORD
    [  1230.507] Initializing built-in extension DPMS
    [  1230.507] Initializing built-in extension X-Resource
    [  1230.507] Initializing built-in extension XVideo
    [  1230.507] Initializing built-in extension XVideo-MotionCompensation
    [  1230.507] Initializing built-in extension XFree86-VidModeExtension
    [  1230.507] Initializing built-in extension XFree86-DGA
    [  1230.507] Initializing built-in extension XFree86-DRI
    [  1230.507] Initializing built-in extension DRI2
    [  1230.507] (II) LoadModule: "glx"
    [  1230.508] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
    [  1230.508] (II) Module glx: vendor="X.Org Foundation"
    [  1230.508]    compiled for 1.14.3.901, module version = 1.0.0
    [  1230.508]    ABI class: X.Org Server Extension, version 7.0
    [  1230.508] (==) AIGLX enabled
    [  1230.508] Loading extension GLX
    [  1230.508] (II) LoadModule: "nouveau"
    [  1230.509] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
    [  1230.509] (II) Module nouveau: vendor="X.Org Foundation"
    [  1230.509]    compiled for 1.14.3, module version = 1.0.9
    [  1230.509]    Module class: X.Org Video Driver
    [  1230.509]    ABI class: X.Org Video Driver, version 14.1
    [  1230.509] (II) LoadModule: "mouse"
    [  1230.509] (II) Loading /usr/lib/xorg/modules/input/mouse_drv.so
    [  1230.509] (II) Module mouse: vendor="X.Org Foundation"
    [  1230.509]    compiled for 1.14.3, module version = 1.9.0
    [  1230.509]    Module class: X.Org XInput Driver
    [  1230.509]    ABI class: X.Org XInput driver, version 19.1
    [  1230.509] (II) LoadModule: "kbd"
    [  1230.510] (II) Loading /usr/lib/xorg/modules/input/kbd_drv.so
    [  1230.510] (II) Module kbd: vendor="X.Org Foundation"
    [  1230.510]    compiled for 1.14.3, module version = 1.7.0
    [  1230.510]    Module class: X.Org XInput Driver
    [  1230.510]    ABI class: X.Org XInput driver, version 19.1
    [  1230.510] (II) NOUVEAU driver 
    [  1230.510] (II) NOUVEAU driver for NVIDIA chipset families :
    [  1230.510]    RIVA TNT        (NV04)
    [  1230.510]    RIVA TNT2       (NV05)
    [  1230.510]    GeForce 256     (NV10)
    [  1230.510]    GeForce 2       (NV11, NV15)
    [  1230.510]    GeForce 4MX     (NV17, NV18)
    [  1230.510]    GeForce 3       (NV20)
    [  1230.510]    GeForce 4Ti     (NV25, NV28)
    [  1230.510]    GeForce FX      (NV3x)
    [  1230.510]    GeForce 6       (NV4x)
    [  1230.510]    GeForce 7       (G7x)
    [  1230.510]    GeForce 8       (G8x)
    [  1230.510]    GeForce GTX 200 (NVA0)
    [  1230.510]    GeForce GTX 400 (NVC0)
    [  1230.510] (--) using VT number 7
    
    [  1230.511] (II) [drm] nouveau interface version: 1.1.1
    [  1230.511] (II) Loading sub module "dri2"
    [  1230.511] (II) LoadModule: "dri2"
    [  1230.511] (II) Module "dri2" already built-in
    [  1230.511] (EE) NOUVEAU(0): [drm] failed to set drm interface version.
    [  1230.511] (EE) NOUVEAU(0): [drm] error opening the drm
    [  1230.511] (EE) NOUVEAU(0): 835: 
    [  1230.511] (II) UnloadModule: "nouveau"
    [  1230.511] (EE) Screen(s) found, but none have a usable configuration.
    [  1230.511] (EE) 
    Fatal server error:
    [  1230.511] (EE) no screens found(EE) 
    [  1230.511] (EE) 
    Please consult the The X.Org Foundation support 
             at http://wiki.x.org
     for help. 
    [  1230.511] (EE) Please also check the log file at "/var/log/Xorg.8.log" for additional information.
    [  1230.511] (EE) 
    [  1230.511] (EE) Server terminated with error (1). Closing log file.
    i run openSUSE 13.1 with KDE latest updates from standard repos

    thanks for help, sorry for bad english.
    Last edited by operamaniac; 07-Feb-2014 at 14:22. Reason: add opensuse spec
    openSUSE 12.2 32-bit, GNOME 3.4.2, Intel Pentium 4 HT 3 Ghz, 2 GB RAM, 80 GB HDD

  2. #2

    Default Re: Can't Use Bumblebee on openSUSE 13.1

    Hello. I can't offer much help in the way of fixing your problem, but I can mention that I am also having issues with bumblebee not working. I think this is due to a recent kernel update, and there hasn't been an update to bumblebee yet to fix it. The problem you're encountering could be related, if you've just tried to install it within the last couple days.

    Mine had been working, then it stopped. I tried a full reinstall of bumblebee and didn't have any luck. I think we might just need to wait for an update.

  3. #3
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    16,313

    Default Re: Can't Use Bumblebee on openSUSE 13.1

    You can always drop back a kernel version

  4. #4
    Join Date
    Dec 2012
    Location
    Bandung, Indonesia
    Posts
    36

    Default Re: Can't Use Bumblebee on openSUSE 13.1

    Quote Originally Posted by oapeter View Post
    Hello. I can't offer much help in the way of fixing your problem, but I can mention that I am also having issues with bumblebee not working. I think this is due to a recent kernel update, and there hasn't been an update to bumblebee yet to fix it. The problem you're encountering could be related, if you've just tried to install it within the last couple days.

    Mine had been working, then it stopped. I tried a full reinstall of bumblebee and didn't have any luck. I think we might just need to wait for an update.
    can i disable the nvidia GPU for now ? maybe until Bumblebee worked on openSUSE 13.1
    openSUSE 12.2 32-bit, GNOME 3.4.2, Intel Pentium 4 HT 3 Ghz, 2 GB RAM, 80 GB HDD

  5. #5

    Default Re: Can't Use Bumblebee on openSUSE 13.1

    You said that you followed the smithfarm directions. Did you install the prop. nvidia drivers then? As your errors are all related to the OSS nouveau drivers.

  6. #6
    Join Date
    Dec 2012
    Location
    Bandung, Indonesia
    Posts
    36

    Default Re: Can't Use Bumblebee on openSUSE 13.1

    Quote Originally Posted by Tyler_K View Post
    You said that you followed the smithfarm directions. Did you install the prop. nvidia drivers then? As your errors are all related to the OSS nouveau drivers.
    yes, i do. as i remembered corectly there was an error while installing x11-video-nvidia packages, but i dont remember what the error is.

    Sorry for bad english..
    openSUSE 12.2 32-bit, GNOME 3.4.2, Intel Pentium 4 HT 3 Ghz, 2 GB RAM, 80 GB HDD

  7. #7

    Default Re: Can't Use Bumblebee on openSUSE 13.1

    Quote Originally Posted by operamaniac View Post
    yes, i do. as i remembered corectly there was an error while installing x11-video-nvidia packages, but i dont remember what the error is.

    Sorry for bad english..
    It's probably the same error that I'm now getting. I started running into problems with bumblebee as well and wanted to do a reinstall. Here's what happens to me when it gets to installing x11-video-nvidia:

    Code:
    2014-02-27 16:31:45 (2.18 MB/s) - 'NVIDIA-Linux-x86_64-331.38.run' saved [60164869/60164869]
    
    check sums and md5 sums are ok
    Creating directory NVIDIA-Linux-x86_64-331.38
    Verifying archive integrity... OK
    Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86_64 331.38......................................................................................................................................................................................................................
    error: %pre(x11-video-nvidia-331.38-3.1.x86_64) scriptlet failed, exit status 1
    error: x11-video-nvidia-331.38-3.1.x86_64: install failed

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •